KDE 4.7 PyKDE API Reference

- KDE's Python API

# NegationTerm Class Reference

`from PyKDE4.nepomuk import *`

Inherits: Nepomuk.Query.SimpleTerm → Nepomuk.Query.Term
Namespace: Nepomuk.Query

## Detailed Description

\class NegationTerm negationterm.h Nepomuk/Query/NegationTerm

Negate an arbitrary term.

%NegationTerm can be used to negate any other term. A typical example could be to match all resources that do not have a specific tag:

     NegationTerm.negateTerm( ComparisonTerm( Vocabulary.NAO.hasTag(), LiteralTerm("nepomuk") ) );

Author:
  Sebastian Trueg <trueg@kde.org>

Since:
  4.4

## Methods
| __init__ (self)
| __init__ (self, Nepomuk.Query.NegationTerm term)
## Static Methods
Nepomuk.Query.Term | negateTerm (Nepomuk.Query.Term term)

## Method Documentation

__init__ | ( |  | self ) |

Default constructor: creates an invalid negation term.

__init__ | ( | self, |
|  | Nepomuk.Query.NegationTerm | term
| ) |  |  |

Copy constructor.

## Static Method Documentation

Nepomuk.Query.Term negateTerm | ( | Nepomuk.Query.Term | term
| ) |  |  |

Negate term. This method will either strip the first NegationTerm from term or add one.

Returns:
  The negated term.